Skip to content

PUT Group permissions

This PUT request updates the permissions of a user group.

You can only modify a group's permissions if your group's weight is equal to or higher than the weight of the group being modified.

Location

/api/v1/portal-management/group-permissions/

Permissions required

admin-access-control-permissions RW

Body parameters

Parameter Type Required Description
permission_uuid uuid yes Unique id of the permission.
user_group_uuid uuid yes Unique id of the user group.
permission_value enum yes The permission value (NA, RO or RW)

Example Body (json)

{
        "permission_uuid": "11abc93d-c265-11f0-95da-7e99ed98b725",
        "user_group_uuid": "5c1f0102-51ea-11f1-8bac-bc2411125ba4",
        "permission_value": "RO"
}

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/portal-management/group-permissions/',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => $json_payload,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json',
        'X-HTTP-Method-Override: PUT'
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

"Access rights changed successfully."

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.